Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.dom
Class DOMResult

    java.lang.Object
      |
      +--javax.xml.transform.dom.DOMResult

All Implemented Interfaces:
  Result

public class DOMResult
extends java.lang.Object
implements Result

DOM Result

Version:
  1.0
Author:
  Andrew Selkirk

Field Summary
`static java.lang.String` | `FEATURE`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`DOMResult()`
`DOMResult(Node node)`
`DOMResult(Node node, java.lang.String systemID)`

Method Summary
`Node` | `getNode()`
`java.lang.String` | `getSystemId()`
`void` | `setNode(Node node)`
`void` | `setSystemId(java.lang.String systemID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

Constructor Detail

### DOMResult

    public DOMResult()

### DOMResult

    public DOMResult(Node node)

### DOMResult

    public DOMResult(Node node,
                     java.lang.String systemID)

Method Detail

### setNode

    public void setNode(Node node)

### getNode

    public Node getNode()

### setSystemId

    public void setSystemId(java.lang.String systemID)

  Specified by:
    `setSystemId` in interface `Result`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `Result`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.